=== third_party/CMakeLists.txt ===
# This file is generated (whence no license header). Do not edit!
# To regenerate, run:
#   cmake/bazel_to_cmake.sh

ruy_add_all_subdirs()
