=== debian/changelog ===
ruy (0.0.0~git20230215.21a85fe-2) unstable; urgency=medium

  [ Bardia Moshiri ]
  * debian: build with position independent code

  [ Dylan Aïssi ]
  * Add debian/upstream/metadata
  * Standards-Version: 4.7.2 (no changes required)
  * Ignore test results for ARM32 (Closes: #1067958)
  * Mark libruy-dev as Multi-Arch: same

 -- Dylan Aïssi <daissi@debian.org>  Sun, 06 Apr 2025 17:58:05 +0200

ruy (0.0.0~git20230215.21a85fe-1) unstable; urgency=medium

  * Initial release

 -- Dylan Aïssi <daissi@debian.org>  Sat, 17 Jun 2023 22:14:16 +0200
