=== debian/control ===
Source: ruy
Section: science
Priority: optional
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libcpuinfo-dev (>= 0.0~git20220617.082deff-2),
               libgtest-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/deeplearning-team/ruy
Vcs-Git: https://salsa.debian.org/deeplearning-team/ruy.git
Homepage: https://github.com/google/ruy

Package: libruy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Description: matrix multiplication library
 ruy is a matrix multiplication library. Its focus is to cover the matrix
 multiplication needs of neural network inference engines. Its initial user has
 been TensorFlow Lite, where it is used by default on the ARM CPU architecture.
